Create An Agent From A Template.
curl --request POST \
--url https://{api_endpoint}/v1/orchestrate/agents/create-from-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "<string>",
"category": "<string>",
"description": "<string>",
"spec": {
"description": "<string>",
"name": "<string>",
"display_name": "<string>",
"instructions": "<string>",
"tools": [],
"collaborators": [],
"llm": "<string>",
"supported_apps": [],
"glossary": [],
"guidelines": [],
"knowledge_base": [],
"hidden": false,
"structured_output": {},
"custom_join_tool": "<string>",
"additional_properties": {
"starter_prompts": {
"customize": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
]
},
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>"
}
},
"tags": [],
"chat_with_docs": {
"enabled": false,
"supports_full_document": true,
"vector_index": {
"embeddings_model_name": "<string>",
"chunk_size": 400,
"chunk_overlap": 50,
"limit": 10,
"extraction_strategy": "standard"
},
"generation": {
"model_id": "<string>",
"prompt_instruction": "",
"max_docs_passed_to_llm": 5,
"generated_response_length": "Moderate",
"display_text_no_results_found": "I searched my knowledge base, but did not find anything related to your query",
"display_text_connectivity_issue": "I might have information related to your query to share, but am unable to connect to my knowledge base at the moment",
"idk_message": "I'm afraid I don't understand. Please rephrase your question.",
"enabled": true
},
"query_rewrite": {
"enabled": true,
"model_id": "<string>"
},
"confidence_thresholds": {
"retrieval_confidence_threshold": "Lowest",
"response_confidence_threshold": "Lowest"
},
"citations": {
"citation_title": "How do we know?",
"citations_shown": -1
},
"hap_filtering": {
"output": {
"enabled": false,
"threshold": 0.5
}
},
"query_source": "Agent",
"agent_query_description": "The query to search for in the knowledge base"
},
"context_access_enabled": true,
"context_variables": [],
"hide_reasoning": false,
"voice_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrictions": "editable",
"bundled_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_mapping": {}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"dependencies": {}
}
EOF{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents
Create An Agent From A Template.
Creates a new agent and its dependencies from a template.
Create An Agent From A Template.
curl --request POST \
--url https://{api_endpoint}/v1/orchestrate/agents/create-from-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "<string>",
"category": "<string>",
"description": "<string>",
"spec": {
"description": "<string>",
"name": "<string>",
"display_name": "<string>",
"instructions": "<string>",
"tools": [],
"collaborators": [],
"llm": "<string>",
"supported_apps": [],
"glossary": [],
"guidelines": [],
"knowledge_base": [],
"hidden": false,
"structured_output": {},
"custom_join_tool": "<string>",
"additional_properties": {
"starter_prompts": {
"customize": [
{
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"subtitle": "<string>",
"state": "<string>"
}
]
},
"welcome_content": {
"welcome_message": "<string>",
"description": "<string>"
}
},
"tags": [],
"chat_with_docs": {
"enabled": false,
"supports_full_document": true,
"vector_index": {
"embeddings_model_name": "<string>",
"chunk_size": 400,
"chunk_overlap": 50,
"limit": 10,
"extraction_strategy": "standard"
},
"generation": {
"model_id": "<string>",
"prompt_instruction": "",
"max_docs_passed_to_llm": 5,
"generated_response_length": "Moderate",
"display_text_no_results_found": "I searched my knowledge base, but did not find anything related to your query",
"display_text_connectivity_issue": "I might have information related to your query to share, but am unable to connect to my knowledge base at the moment",
"idk_message": "I'm afraid I don't understand. Please rephrase your question.",
"enabled": true
},
"query_rewrite": {
"enabled": true,
"model_id": "<string>"
},
"confidence_thresholds": {
"retrieval_confidence_threshold": "Lowest",
"response_confidence_threshold": "Lowest"
},
"citations": {
"citation_title": "How do we know?",
"citations_shown": -1
},
"hap_filtering": {
"output": {
"enabled": false,
"threshold": 0.5
}
},
"query_source": "Agent",
"agent_query_description": "The query to search for in the knowledge base"
},
"context_access_enabled": true,
"context_variables": [],
"hide_reasoning": false,
"voice_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrictions": "editable",
"bundled_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_mapping": {}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"dependencies": {}
}
EOF{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
Schema for creating an agent from template.
Name of the agent
Category of the agent
Description of what the agent does
Agent specification
Show child attributes
Show child attributes
Optional UUID for the agent
Version of the agent
Dependencies including tools and agents
Show child attributes
Show child attributes
Response
Successful Response
Get Template Creation Status
Previous
Get List Of Connections From All Tools Associated With An Agent
Next
⌘I

